From 1256bd87037a37ee8bd363255bfd4f7365987d6f Mon Sep 17 00:00:00 2001
From: Thorsten Liepert <thorsten.liepert@diehl.com>
Date: Fri, 22 Feb 2019 10:00:58 +0100
Subject: [PATCH 3/3] rules: remove obsolete package php5

Signed-off-by: Thorsten Liepert <thorsten.liepert@diehl.com>
---
 rules/php5.in   | 299 ----------------------------------------------
 rules/php5.make | 308 ------------------------------------------------
 2 files changed, 607 deletions(-)
 delete mode 100644 rules/php5.in
 delete mode 100644 rules/php5.make

diff --git a/rules/php5.in b/rules/php5.in
deleted file mode 100644
index c6bbd0030..000000000
--- a/rules/php5.in
+++ /dev/null
@@ -1,299 +0,0 @@
-## SECTION=scripting_languages
-# php5 configuration
-
-menuconfig PHP5
-	tristate
-	prompt "php5                          "
-	select APACHE2		if PHP5_SAPI_APXS2 || PHP5_SAPI_APXS2FILTER
-	select LIBCURL		if PHP5_EXT_CURL
-	select LIBXML2		if PHP5_XML_LIBXML2
-	select LIBXML2_C14N	if PHP5_XML_LIBXML2
-	select LIBXML2_DTD	if PHP5_XML_LIBXML2
-	select LIBXML2_XINCLUDE	if PHP5_XML_LIBXML2
-	select LIBXML2_READER	if PHP5_XML_LIBXML2_READER
-	select LIBXML2_WRITER	if PHP5_XML_LIBXML2_WRITER
-	select LIBXSLT		if PHP5_XML_LIBXML2_XSLT
-	select MYSQLDB		if PHP5_EXT_MYSQL
-	select PHP5_XML		if PHP5_EXT_SOAP
-	select XMLRPC_C		if PHP5_XML_LIBXML2_XMLRPC
-	select SQLITE		if PHP5_EXT_SQLITE3
-	select ZLIB		if PHP5_EXT_ZLIB
-	select OPENSSL		if PHP5_EXT_OPENSSL
-
-if PHP5
-
-config PHP5_INI
-	bool
-	prompt "install /etc/php5/php.ini"
-	default y
-	help
-	  Installs (if present) the
-	  "./projectroot/etc/php5/php.ini" file from your
-	  workspace, otherwise a generic one from the ptxdist
-	  directory.
-
-# ----------------------------------------------------------------------------
-# SAPI Modules
-# ----------------------------------------------------------------------------
-
-choice
-	prompt "SAPI Module"
-	default PHP5_SAPI_NONE
-
-config PHP5_SAPI_AOLSERVER
-	bool
-	prompt "aolserver"
-	depends on BROKEN
-	help
-	  Use AOLserver.
-
-config PHP5_SAPI_APXS2FILTER
-	bool
-	depends on STAGING
-	prompt "apxs2filter"
-	help
-	  EXPERIMENTAL: Build shared Apache 2.0 Filter module. FILE is the optional
-	  pathname to the Apache apxs tool [apxs]
-
-config PHP5_SAPI_APXS2
-	bool
-	depends on STAGING
-	prompt "apache mod_php (apxs2)"
-	help
-	  Build shared Apache 2.0 Handler module.
-
-config PHP5_SAPI_CAUDIUM
-	bool
-	prompt "caudium"
-	depends on BROKEN
-	help
-	  Build PHP as a Pike module for use with Caudium.
-
-config PHP5_SAPI_CONTINUITY
-	bool
-	prompt "continuity"
-	depends on BROKEN
-	help
-	  Build PHP as Continuity Server module.
-
-config PHP5_SAPI_EMBEDDED
-	bool
-	prompt "embedded"
-	help
-	  Enable building of embedded SAPI library.
-
-config PHP5_SAPI_ISAPI
-	bool
-	prompt "isapi"
-	depends on BROKEN
-	help
-	  Build PHP as an ISAPI module for use with Zeus
-
-config PHP5_SAPI_MILTER
-	bool
-	prompt "milter"
-	depends on BROKEN
-	help
-	  Build PHP as Milter application.
-
-config PHP5_SAPI_NSAPI
-	bool
-	prompt "nsapi"
-	depends on BROKEN
-	help
-	  Build PHP as NSAPI module for Netscape/iPlanet/SunONE.
-
-config PHP5_SAPI_PHTTPD
-	bool
-	prompt "phttpd"
-	depends on BROKEN
-	help
-	  Build PHP as phttpd module.
-
-config PHP5_SAPI_PI3WEB
-	bool
-	prompt "pi3web"
-	depends on BROKEN
-	help
-	  Build PHP as Pi3Web module
-
-config PHP5_SAPI_ROXEN
-	bool
-	prompt "roxen"
-	depends on BROKEN
-	help
-	  Build PHP as a Pike module. DIR is the base Roxen
-
-config PHP5_SAPI_ROXEN_ZTS
-	bool
-	prompt "roxen-zts"
-	depends on BROKEN
-	help
-	  Build the Roxen module using Zend Thread Safety.
-
-config PHP5_SAPI_THTTPD
-	bool
-	prompt "thttpd"
-	depends on BROKEN
-	help
-	  Build PHP as thttpd module
-
-config PHP5_SAPI_TUX
-	bool
-	prompt "tux"
-	depends on BROKEN
-	help
-	  Build PHP as a TUX module.
-
-config PHP5_SAPI_WEBJAMES
-	bool
-	prompt "webjames"
-	depends on BROKEN
-	help
-	  Build PHP as a WebJames module (RISC OS only).
-
-config PHP5_SAPI_CGI
-	bool
-	prompt "cgi"
-	help
-	  Build CGI version of PHP.
-
-config PHP5_SAPI_NONE
-	bool
-	prompt "none"
-	select PHP5_SAPI_CLI
-
-endchoice
-
-config PHP5_SAPI_CLI
-	bool
-	prompt "cli"
-	help
-	  Build CLI (commandline interface) version of PHP
-
-# ----------------------------------------------------------------------------
-# General Settings
-# ----------------------------------------------------------------------------
-
-menuconfig PHP5_XML
-	bool
-	prompt "xml support                 "
-	help
-	  Support for XML.
-
-if PHP5_XML
-
-choice
-	prompt "xml library"
-
-	config PHP5_XML_LIBXML2
-		bool "libxml2"
-		help
-		  Use libxml2 as xml backend.
-endchoice
-
-if PHP5_XML_LIBXML2
-
-config PHP5_XML_LIBXML2_READER
-	bool
-	prompt "xml reader support"
-	help
-	  XMLReader support
-
-config PHP5_XML_LIBXML2_WRITER
-	bool
-	select LIBXML2_WRITER
-	prompt "xml writer support"
-	help
-	  XMLWriter support
-
-config PHP5_XML_LIBXML2_DOM
-	bool
-	select LIBXML2_DOM
-	prompt "DOM support"
-	help
-	  libxml2 DOM support
-
-config PHP5_XML_LIBXML2_XSLT
-	bool
-	select PHP5_XML_LIBXML2_DOM
-	prompt "xslt support"
-	help
-	  XMLWriter support
-
-config PHP5_XML_LIBXML2_SIMPLEXML
-	bool
-	prompt "simple xml support"
-	help
-	  simple xml support
-
-config PHP5_XML_LIBXML2_XMLRPC
-	bool
-	depends on STAGING
-	prompt "xmlrpc support"
-	help
-	  xmlrpc support
-
-endif	# PHP5_XML_LIBXML2
-
-endif	# PHP5_XML
-
-# ----------------------------------------------------------------------------
-# Extensions
-# ----------------------------------------------------------------------------
-
-menu "Extensions                  "
-
-config PHP5_EXT_CURL
-	bool
-	prompt "curl"
-	help
-	  Enable CURL support for PHP.
-
-config PHP5_EXT_MYSQL
-	bool
-	prompt "mysql"
-	help
-	  Enable MySQL database support for PHP.
-
-config PHP5_EXT_SOAP
-	bool
-	prompt "soap"
-	select PHP5_XML
-	help
-	  Enable SOAP support for PHP.
-
-config PHP5_EXT_SOCKETS
-	bool
-	prompt "sockets"
-	help
-	  Enable sockets support for PHP.
-
-config PHP5_EXT_SQLITE3
-	bool
-	prompt "sqlite3"
-	help
-	  Enable sqlite3 support for PHP.
-
-config PHP5_EXT_ZLIB
-	bool
-	prompt "zlib"
-	help
-	  Enable zlib support for PHP.
-
-config PHP5_EXT_OPENSSL
-	bool
-	prompt "openssl"
-	help
-	  Enable openssl support for PHP.
-
-config PHP5_EXT_PEAR
-	bool
-	prompt "pear [BROKEN]"
-	depends on BROKEN
-	help
-	  pear
-
-endmenu
-
-endif
diff --git a/rules/php5.make b/rules/php5.make
deleted file mode 100644
index c6aea8e81..000000000
--- a/rules/php5.make
+++ /dev/null
@@ -1,308 +0,0 @@
-# -*-makefile-*-
-#
-# Copyright (C) 2006-2008 by Robert Schwebel
-#               2009, 2012 by Marc Kleine-Budde <mkl@pengutronix.de>
-#               2015 by Bruno Thomsen <bth@kamstrup.com>
-#
-# See CREDITS for details about who has contributed to this project.
-#
-# For further information about the PTXdist project and license conditions
-# see the README file.
-#
-
-#
-# We provide this package
-#
-PACKAGES-$(PTXCONF_PHP5) += php5
-
-#
-# Paths and names
-#
-PHP5_VERSION	:= 5.5.30
-PHP5_MD5	:= ef6d848756ea9d19b7a7e1a9d824d7c1
-PHP5		:= php-$(PHP5_VERSION)
-PHP5_SUFFIX	:= tar.xz
-PHP5_SOURCE	:= $(SRCDIR)/$(PHP5).$(PHP5_SUFFIX)
-PHP5_DIR	:= $(BUILDDIR)/$(PHP5)
-
-#
-# Note: older releases are moved to the 'museum', but the 'de.php.net'
-# response with a HTML file instead of the archive. So, try the 'museum'
-# URL first
-#
-PHP5_URL := \
-	http://museum.php.net/php5/$(PHP5).$(PHP5_SUFFIX) \
-	http://de.php.net/distributions/$(PHP5).$(PHP5_SUFFIX)
-
-# ----------------------------------------------------------------------------
-# Prepare
-# ----------------------------------------------------------------------------
-
-PHP5_CONF_ENV := \
-	$(CROSS_ENV) \
-	ac_cv_prog_cc_cross=yes \
-	ac_cv_c_bigendian_php=$(call ptx/yesno, PTXCONF_ENDIAN_BIG)
-
-#
-# autoconf
-#
-PHP5_AUTOCONF := \
-	$(CROSS_AUTOCONF_USR) \
-	--disable-phar \
-	--with-config-file-path=/etc/php5 \
-	--enable-opcache=no \
-	--without-iconv
-
-# FIXME: php5 doesn't interprete "with_foo=no" correctly, so we cannot
-# give --without-foo options. Should be fixed in php5's configure.in.
-
-# ------------
-# SAPI Modules
-# ------------
-
-ifdef PTXCONF_PHP5_SAPI_AOLSERVER
-PHP5_AUTOCONF += --with-aolserver=FIXME
-else
-PHP5_AUTOCONF += --without-aolserver
-endif
-
-ifdef PTXCONF_PHP5_SAPI_APXS2FILTER
-PHP5_AUTOCONF += --with-apxs2filter=$(PTXDIST_SYSROOT_TARGET)/usr/bin/apxs
-else
-#PHP5_AUTOCONF += --without-apxs2filter
-endif
-
-ifdef PTXCONF_PHP5_SAPI_APXS2
-PHP5_AUTOCONF += --with-apxs2=$(PTXDIST_SYSROOT_TARGET)/usr/bin/apxs
-else
-# PHP5_AUTOCONF += --without-apxs2
-endif
-
-ifdef PTXCONF_PHP5_SAPI_CAUDIUM
-PHP5_AUTOCONF += --with-caudium
-else
-# PHP5_AUTOCONF += --without-caudium
-endif
-
-ifdef PTXCONF_PHP5_SAPI_CLI
-PHP5_AUTOCONF += --enable-cli
-else
-PHP5_AUTOCONF += --disable-cli
-endif
-
-ifdef PTXCONF_PHP5_SAPI_CONTINUITY
-PHP5_AUTOCONF += --with-continuity
-else
-#PHP5_AUTOCONF += --without-continuity
-endif
-
-ifdef PTXCONF_PHP5_SAPI_EMBEDDED
-PHP5_AUTOCONF += --enable-embed
-else
-#PHP5_AUTOCONF += --disable-embed
-endif
-
-ifdef PTXCONF_PHP5_SAPI_ISAPI
-PHP5_AUTOCONF += --with-isapi
-else
-#PHP5_AUTOCONF += --without-isapi
-endif
-
-ifdef PTXCONF_PHP5_SAPI_MILTER
-PHP5_AUTOCONF += --with-milter
-else
-#PHP5_AUTOCONF += --without-milter
-endif
-
-ifdef PTXCONF_PHP5_SAPI_NSAPI
-PHP5_AUTOCONF += --with-nsapi
-else
-#PHP5_AUTOCONF += --without-nsapi
-endif
-
-ifdef PTXCONF_PHP5_SAPI_PHTTPD
-PHP5_AUTOCONF += --with-phttpd
-else
-#PHP5_AUTOCONF += --without-phttpd
-endif
-
-ifdef PTXCONF_PHP5_SAPI_PI3WEB
-PHP5_AUTOCONF += --with-pi3web
-else
-#PHP5_AUTOCONF += --without-pi3web
-endif
-
-ifdef PTXCONF_PHP5_SAPI_ROXEN
-PHP5_AUTOCONF += --with-roxen
-else
-#PHP5_AUTOCONF += --without-roxen
-endif
-
-ifdef PTXCONF_PHP5_SAPI_ROXEN_ZTS
-PHP5_AUTOCONF += --with-roxen-zts
-else
-#PHP5_AUTOCONF += --without-roxen-zts
-endif
-
-ifdef PTXCONF_PHP5_SAPI_THTTPD
-PHP5_AUTOCONF += --with-thttpd
-else
-#PHP5_AUTOCONF += --without-thttpd
-endif
-
-ifdef PTXCONF_PHP5_SAPI_TUX
-PHP5_AUTOCONF += --with-tux
-else
-#PHP5_AUTOCONF += --without-tux
-endif
-
-ifdef PTXCONF_PHP5_SAPI_CGI
-PHP5_AUTOCONF += --enable-cgi
-else
-PHP5_AUTOCONF += --disable-cgi
-endif
-
-# ---------------
-# General Options
-# ---------------
-
-ifdef PTXCONF_PHP5_XML
-PHP5_AUTOCONF += --enable-xml
-else
-PHP5_AUTOCONF += --disable-xml
-endif
-
-ifdef PTXCONF_PHP5_XML_LIBXML2
-PHP5_AUTOCONF += \
-	--enable-libxml \
-	--with-libxml-dir=$(SYSROOT)/usr
-else
-PHP5_AUTOCONF += --disable-libxml
-endif
-
-ifdef PTXCONF_PHP5_XML_LIBXML2_READER
-PHP5_AUTOCONF += --enable-xmlreader
-else
-PHP5_AUTOCONF += --disable-xmlreader
-endif
-
-ifdef PTXCONF_PHP5_XML_LIBXML2_WRITER
-PHP5_AUTOCONF += --enable-xmlwriter
-else
-PHP5_AUTOCONF += --disable-xmlwriter
-endif
-
-ifdef PTXCONF_PHP5_XML_LIBXML2_DOM
-PHP5_AUTOCONF += --enable-dom
-else
-PHP5_AUTOCONF += --disable-dom
-endif
-
-ifdef PTXCONF_PHP5_XML_LIBXML2_XSLT
-PHP5_AUTOCONF += --with-xsl=$(SYSROOT)/usr
-else
-PHP5_AUTOCONF += --without-xsl
-endif
-
-ifdef PTXCONF_PHP5_XML_LIBXML2_SIMPLEXML
-PHP5_AUTOCONF += --enable-simplexml
-else
-PHP5_AUTOCONF += --disable-simplexml
-endif
-
-ifdef PTXCONF_PHP5_XML_LIBXML2_XMLRPC
-PHP5_AUTOCONF += --with-xmlrpc
-else
-PHP5_AUTOCONF += --without-xmlrpc
-endif
-
-ifdef PTXCONF_PHP5_EXT_ZLIB
-PHP5_AUTOCONF += --with-zlib=$(SYSROOT)/usr
-else
-PHP5_AUTOCONF += --without-zlib
-endif
-
-ifdef PTXCONF_PHP5_EXT_OPENSSL
-PHP5_AUTOCONF += --with-openssl=$(SYSROOT)/usr
-else
-PHP5_AUTOCONF += --without-openssl
-endif
-
-ifdef PTXCONF_PHP5_EXT_CURL
-PHP5_AUTOCONF += \
-	--with-curl=$(SYSROOT)/usr
-else
-PHP5_AUTOCONF += --without-curl
-endif
-
-ifdef PTXCONF_PHP5_EXT_MYSQL
-PHP5_AUTOCONF += \
-	--with-mysql=$(SYSROOT)/usr \
-	--with-pdo-mysql=$(SYSROOT)/usr
-else
-PHP5_AUTOCONF += --without-mysql
-endif
-
-ifdef PTXCONF_PHP5_EXT_SOAP
-PHP5_AUTOCONF += --enable-soap
-else
-PHP5_AUTOCONF += --disable-soap
-endif
-
-ifdef PTXCONF_PHP5_EXT_SOCKETS
-PHP5_AUTOCONF += --enable-sockets
-else
-PHP5_AUTOCONF += --disable-sockets
-endif
-
-ifdef PTXCONF_PHP5_EXT_SQLITE3
-PHP5_AUTOCONF += --with-sqlite3=$(PTXDIST_SYSROOT_TARGET)/usr --with-pdo-sqlite
-# broken config system: sqlite3 (local copy) uses it
-# but it is only linked to if used by external dependencies
-PHP5_CONF_ENV += PHP_LDFLAGS="-ldl -lpthread"
-else
-PHP5_AUTOCONF += --without-sqlite3 --without-pdo-sqlite
-endif
-
-ifdef PTXCONF_PHP5_EXT_PEAR
-PHP5_AUTOCONF += --with-pear=FIXME
-else
-PHP5_AUTOCONF += --without-pear
-endif
-
-# ----------------------------------------------------------------------------
-# Target-Install
-# ----------------------------------------------------------------------------
-
-$(STATEDIR)/php5.targetinstall:
-	@$(call targetinfo)
-
-	@$(call install_init, php5)
-	@$(call install_fixup, php5,PRIORITY,optional)
-	@$(call install_fixup, php5,SECTION,base)
-	@$(call install_fixup, php5,AUTHOR,"Robert Schwebel <r.schwebel@pengutronix.de>")
-	@$(call install_fixup, php5,DESCRIPTION,missing)
-
-ifdef PTXCONF_PHP5_SAPI_APXS2
-	@$(call install_copy, php5, 0, 0, 0644, -, \
-		/usr/modules/libphp5.so)
-endif
-
-ifdef PTXCONF_PHP5_SAPI_CLI
-	@$(call install_copy, php5, 0, 0, 0755, $(PHP5_PKGDIR)/usr/bin/php, \
-		/usr/bin/php5)
-endif
-
-ifdef PTXCONF_PHP5_SAPI_CGI
-	@$(call install_copy, php5, 0, 0, 0755, -, /usr/bin/php-cgi)
-endif
-
-ifdef PTXCONF_PHP5_INI
-	@$(call install_alternative, php5, 0, 0, 0644, /etc/php5/php.ini)
-endif
-
-	@$(call install_finish, php5)
-
-	@$(call touch)
-
-# vim: syntax=make
-- 
2.20.1

